<template>
  <div id="sidebar">
    <b-sidebar
      v-model="open"
      type="is-light"
      :fullheight="true"
      :can-cancel="false"
    >
      <div class="p-1">
        <b-menu>
          <b-menu-list label="Menu">
            <b-menu-item
              icon="home"
              label="POS"
              to="/pos"
              :active="$route.path === '/pos'"
              tag="router-link"
            />
          </b-menu-list>
          <b-menu-list label="Actions">
            <b-menu-item
              label="Logout"
              @click="logout()"
            />
          </b-menu-list>
        </b-menu>
      </div>
    </b-sidebar>
  </div>
</template>

<script>
export default {
  props: {
    isSidebarOpen: Boolean,
    currentUser: Object
  },
  data () {
    return {
      open: false,
      // Sidebar menu
      isTransaction: false,
      rolesArray: []
    };
  },
  watch: {
    isSidebarOpen: function (val) {
      this.open = val;
    }
  },
  mounted() {
    this.rolesArray = this.currentUser.role.activePermissions;
  },
  methods: {
    logout () {
      this.$store
        .dispatch('logout')
        .then(() => {
          this.$buefy.toast.open({
            message: 'Berhasil Logout',
            type: 'is-success'
          });
          this.$router.push('/login');
        })
        .catch((err) => {
          alert(err);
        });
    },
    // Check Roles
    checkRoles (role) {
      const check = this.rolesArray.filter(element => {
        return element.name == role;
      });

      if (check.length == 0) {
        return false;
      } else {
        return true;
      }
    }
  }
};
</script>

<style scoped>
.router-name {
  font-weight: 700;
  font-size: 20px;
  padding-bottom: 3px;
}
</style>
